diff options
author | Jelmer Vernooij <jelmer@samba.org> | 2008-05-27 18:16:13 +0200 |
---|---|---|
committer | Jelmer Vernooij <jelmer@samba.org> | 2008-05-27 18:16:13 +0200 |
commit | 5c9f28d560f510003817e3e337e858522d56c622 (patch) | |
tree | 9536b279bfd444da19197bcd8a8125eae2ef8a6f /source4 | |
parent | e797e23e481a290c85872a7cc7df4d9b1ba9c31d (diff) | |
download | samba-5c9f28d560f510003817e3e337e858522d56c622.tar.gz samba-5c9f28d560f510003817e3e337e858522d56c622.tar.xz samba-5c9f28d560f510003817e3e337e858522d56c622.zip |
Simplify handling of source directory in et compile wrapper.
(This used to be commit 4e6fddda2e7d9e37f7b7ec99c5a58671f825a571)
Diffstat (limited to 'source4')
-rwxr-xr-x | source4/heimdal_build/et_compile_wrapper.sh | 28 | ||||
-rwxr-xr-x | source4/heimdal_build/et_deps.pl | 2 |
2 files changed, 8 insertions, 22 deletions
diff --git a/source4/heimdal_build/et_compile_wrapper.sh b/source4/heimdal_build/et_compile_wrapper.sh index d7d47ba363..ec3b39ff56 100755 --- a/source4/heimdal_build/et_compile_wrapper.sh +++ b/source4/heimdal_build/et_compile_wrapper.sh @@ -4,19 +4,13 @@ SELF=$0 SELFDIR=`dirname ${SELF}` -SRCDIR=$1 -BUILDDIR=$2 -DESTDIR=$3 +BUILDDIR=$1 +DESTDIR=$2 -CMD=$4 -FILE=$5 -SOURCE=$6 -shift 6 - -test -z "${SRCDIR}" && { - echo "${SELF}:SRCDIR: '${SRCDIR}'" >&2; - exit 1; -} +CMD=$3 +FILE=$4 +SOURCE=$5 +shift 5 test -z "${BUILDDIR}" && { echo "${SELF}:BUILDDIR: '${BUILDDIR}'" >&2; @@ -45,14 +39,6 @@ test -z "${SOURCE}" && { CURDIR=`pwd` -cd ${SRCDIR} && { - ABS_SRCDIR=`pwd` - cd ${CURDIR} -} || { - echo "${SELF}:cannot cd into '${SRCDIR}'" >&2; - exit 1; -} - cd ${BUILDDIR} && { ABS_BUILDDIR=`pwd` cd ${CURDIR} @@ -62,7 +48,7 @@ cd ${BUILDDIR} && { } cd ${DESTDIR} && { - ${ABS_BUILDDIR}/${CMD} ${ABS_SRCDIR}/${FILE} >&2 || exit 1; + ${ABS_BUILDDIR}/${CMD} ${FILE} >&2 || exit 1; cd ${CURDIR} TMP="${SOURCE}.$$" mv ${SOURCE} ${TMP} && { diff --git a/source4/heimdal_build/et_deps.pl b/source4/heimdal_build/et_deps.pl index d341ecced3..6a0485bb54 100755 --- a/source4/heimdal_build/et_deps.pl +++ b/source4/heimdal_build/et_deps.pl @@ -10,7 +10,7 @@ my $header = "$dirname/$basename"; $header =~ s/\.et$/.h/; my $source = "$dirname/$basename"; $source =~ s/\.et$/.c/; print "$header $source: \$(heimdalsrcdir)/$file \$(ET_COMPILER)\n"; print "\t\@echo \"Compiling error table $file\"\n"; -print "\t\@\$(heimdalbuildsrcdir)/et_compile_wrapper.sh \$(srcdir) \$(builddir) $dirname \$(ET_COMPILER) \$(heimdalsrcdir)/$file $source\n\n"; +print "\t\@\$(heimdalbuildsrcdir)/et_compile_wrapper.sh \$(builddir) $dirname \$(ET_COMPILER) \$(abspath \$(heimdalsrcdir)/$file) $source\n\n"; print "clean:: \n"; print "\t\@rm -f $header $source\n\n"; |